[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStrListMaker.Done

Clean up the instance and free all related memory.

## Declaration

Source position: objects.pp line 558

`destructor TStrListMaker.Done; virtual;`

## Description

The Done destructor de-allocates the memory for the index description records and the string data, and then destroys the object.

## Errors

None.

## See also

TObject.Done |  | Destroy an object.
TStrListMaker.Init |  | Instantiate a new instance of TStrListMaker